Account validation

Learn how to validate bank accounts and payment methods before processing transactions.

Be aware that this endpoint uses a legacy authentication method, which can be found here.

Country Requirements

Argentina (AR)

ParameterRequiredDescription
countryYesAR
account_typeYesBANK
accountYesCBU — 22 digits

{
   "country": "AR",
   "account_type": "BANK",
   "account": "4260004000100057439023"
}

Bangladesh (BD)

ParameterRequiredDescription
countryYesBD
account_typeYesBkash
accountYesWallet phone number (international format)
first_nameYesBeneficiary first name
last_nameYesBeneficiary last name

{
  "country": "BD",
  "account_type": "Bkash",
  "account": "+8801709999999",
  "first_name": "John",
  "last_name": "Doe"
}

Costa Rica (CR)

ParameterRequiredDescription
countryYesCR
account_typeYesBANK
accountYesCosta Rican IBAN (begins with CR)

{
   "country": "CR",
   "account_type": "BANK",
   "account": "CR3601020000939973327"
}

Ghana (GH)

ParameterRequiredDescription
countryYesGH
account_typeYesBANK
accountYesAccount number — up to 14 digits
bank_branchYesBIC/SWIFT code (8 or 11 characters)

{
  "country": "GH",
  "account_type": "BANK",
  "account": "1234567890123",
  "bank_branch": "ECOCGHAC"
}

Guatemala (GT)

ParameterRequiredDescription
countryYesGT
account_typeYesC (checking) or S (savings)
bank_codeYesBank code
accountYesAccount number

{
    "country": "GT",
    "account_type": "C",
    "bank_code": "42",
    "account": "123456775"
}

Honduras (HN)

ParameterRequiredDescription
countryYesHN
account_typeYesBANK
bank_codeYesSupported Honduran bank code
accountYesAccount number (up to 45 digits)

Supported banks: Banco Atlántida, Banco Cuscatlan, Banco de Occidente, Banco del País, Banco Lafise, Banco Popular, Banco Ficohsa

{
  "country": "HN",
  "account_type": "BANK",
  "bank_code": "128",
  "account": "130021165"
}

India (IN)

ParameterRequiredDescription
countryYesIN
account_typeYesUPI
accountYesUPI VPA (e.g. name@bank)
first_nameYesBeneficiary first name
last_nameYesBeneficiary last name

{
  "country": "IN",
  "account_type": "UPI",
  "account": "[email protected]",
  "first_name": "james",
  "last_name": "doe"
}

Nigeria (NG)

ParameterRequiredDescription
countryYesNG
account_typeYesBANK
bank_codeYesBank code
accountYesNUBAN — 10 digits

{
   "country": "NG",
   "account_type": "BANK",
   "bank_code": "058",
   "account": "0036123456"
}

Turkey (TR)

ParameterRequiredDescription
countryYesTR
account_typeYesBANK
accountYesIBAN — 26 characters (begins with TR)

{
   "country": "TR",
   "account_type": "BANK",
   "account": "TR840006400000121231200436"
}

Vietnam (VN)

ParameterRequiredDescription
countryYesVN
account_typeYesBANK
bank_codeYesBank code (1–3 digits)
bank_accountYesAccount number (up to 45 digits)

{
    "country": "VN",
    "account_type": "BANK",
    "bank_code": "17",
    "bank_account": "0021000382448"
}

Body Params
string

The ISO 3166-1 alpha-2 country code.

string

The type of account/method being used.

string

The bank identification code.

string

The account identifier.

string

Type of identification document.

string

The identification number associated with the document.

string

The specific branch identifier.

string

The account holder's first name.

string

The account holder's last name.

Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json